latest version of xpath gem need ruby 2.3
2019-01-30 04:57 - Tigergm Wu

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 4.0.1
Description

When bundle, the latest xpath which resolved to capybara gem requires higher Ruby version.

Please check and update it. Thanks.

Gem: :InstallError: xpath requires Ruby version >= 2.3.

An error occurred while installing xpath (3.2.0), and Bundler cannot continue.
'https://rubygems.org/"'"

Make sure that “gem install xpath -v '3.2.0' —--source
dling.

In Gemfile:
capybara was resolved to 2.18.0, which depends on
xpath

succeeds before bun

Related issues:
Is duplicate of Redmine - Defect #30114: Installing xpath with Bundler fails ...

Closed

History

#1 - 2019-01-30 04:59 - Tigergm Wu
Before, the xpath 3.1.0 should work under the Ruby 2.2 version.

#2 - 2019-01-31 08:50 - Tigergm Wu

- Status changed from New to Resolved

Sorry. May it's a mistake. | bundled in one new enviroment and it succeeded.

#3 - 2019-02-02 06:15 - Go MAEDA

- Is duplicate of Defect #30114: Installing xpath with Bundler fails in Ruby <=2.2 added

#4 - 2019-02-02 06:17 - Go MAEDA
- Status changed from Resolved to Closed

- Resolution set to Duplicate

Closing as a duplicate of #30114.

| also observed the error a few times but | cannot reproduce it for now.
